=== debian/changelog ===
ros-kinetic-libcreate (1.6.1-0xenial) xenial; urgency=high

  * Build and install gtest as part of CI
  * Update README with instructions for building and running unit tests
  * Remove external cmake project for gtest
    Now only build tests if a gtest installation already exists on the system. This should expedite time to build for users that do not care about building/running unit tests and also eliminates the need for internet access when building.
  * Add test depend to gtest in package.xml
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Sat, 21 Apr 2018 07:00:00 -0000

ros-kinetic-libcreate (1.6.0-0xenial) xenial; urgency=high

  * Add unit tests (gtests)
  * Refactor Packet API
    
    Declare setData member as protected
    
    Rename 'setTempData' to 'setDataToValidate'
  * Remove redundant packets from Data constructor
  * Updated setDigits function API comments
    
    added HTML to adjust for spacing in diagram, showing the proper ordering of segments.
  * Update examples
    
    More concise and focusing on individual features:
    
    Battery level
    
    Bumpers
    
    Drive circle
    
    LEDs
    
    Serial packets
    
    Play song
    
    Wheeldrop
  * Update README
  * Refactor cmake files
  * Contributors: Jacob Perron, K.Moriarty

 -- Jacob Perron <jperron@sfu.ca>  Sat, 07 Apr 2018 07:00:00 -0000

ros-kinetic-libcreate (1.5.0-0xenial) xenial; urgency=high

  * Add APIs for getting the measured velocities of the wheels
  * Add ability to drive the wheels with direct pwm duty
  * Update documentation
  * Add mainpage.dox
  * Use package.xml format 2
  * Add doxygen as doc dependency
  * Contributors: Erik Schembor, Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Sun, 17 Dec 2017 08:00:00 -0000

ros-kinetic-libcreate (1.4.0-0xenial) xenial; urgency=high

  * Switch to trusty for CI
  * Set mimumum cmake version to 2.8.12
  * Update CMakeLists.txt configuration and install rules
  * Add package.xml
  * Add config.cmake.in
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Sun, 16 Oct 2016 07:00:00 -0000

ros-kinetic-libcreate (1.3.0-0xenial) xenial; urgency=high

  * Add support for early model Roomba 400s and other robots using the original SCI protocol.
  * Expose individual wheel distances and requested velocities. Fix wheel distance calculation for the Create 1.
  * Manually link to thread library. This allows libcreate to build on ARM.
  * Fix odometry inversion for Create 1.
  * Contributors: Ben Wolsieffer, Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Tue, 23 Aug 2016 07:00:00 -0000

ros-kinetic-libcreate (1.2.1-0xenial) xenial; urgency=high

  * Make velocity relative to base frame, not odometry frame
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Sat, 30 Apr 2016 07:00:00 -0000

ros-kinetic-libcreate (1.2.0-0xenial) xenial; urgency=high

  * Add covariance info to Pose and Vel
  * Fix getMode bug
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Fri, 15 Apr 2016 07:00:00 -0000

ros-kinetic-libcreate (1.1.1-0xenial) xenial; urgency=high

  * Fix odometry sign error
  * Add warning in code regarding Create 1 odometry issue
  * Add odom_example.cpp
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Thu, 07 Apr 2016 07:00:00 -0000

ros-kinetic-libcreate (1.1.0-0xenial) xenial; urgency=high

  * Add API to get light sensor signals
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Sat, 02 Apr 2016 07:00:00 -0000

ros-kinetic-libcreate (1.0.0-0xenial) xenial; urgency=high

  * Fix odometry for Create 1
  * Fix odom angle sign error
  * Convert units to base units
  * Implement 'getMode'
  * Rename 'isIRDetect*' functions to 'isLightBumper*'
  * Documentation / code cleanup
  * Add function 'driveRadius'
  * Add function 'isVirtualWall'
  * Fix sign error on returned 'current' and 'temperature'
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Fri, 01 Apr 2016 07:00:00 -0000

ros-kinetic-libcreate (0.1.1-0xenial) xenial; urgency=high

  * Fix odometry bug
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Fri, 25 Mar 2016 07:00:00 -0000

ros-kinetic-libcreate (0.1.0-0xenial) xenial; urgency=high

  * Add enum of special IR characters
  * Fix bug: convert distance measurement to meters
  * Add support for first generation Create (Roomba 400 series)
  * Fix bug: Too many packets requested corrupting serial buffer
  * Expose functions for getting number of corrupt packets and total packets in Create class
  * Add getters for number of corrupt and total packets received over serial
  * Update README.md
  * Added build badge
  * Added CI (travis)
  * Instantaneous velocity now available
  * Contributors: Jacob Perron

 -- Jacob Perron <jperron@sfu.ca>  Thu, 24 Mar 2016 07:00:00 -0000
